import type { DatePickerOperator, DatePickerValue } from "../../../../../querying/filters/types";
import type { OperatorOption, OptionType } from "./types";
export declare function getAvailableOptions(availableOperators: DatePickerOperator[]): OperatorOption[];
export declare function getOptionType(value: DatePickerValue | undefined): OptionType;
export declare function setOptionType(value: DatePickerValue | undefined, optionType: OptionType): DatePickerValue | undefined;
